// file: $USFS/class/image_analysis/v6.1/imaga_dct_03.cc
//

// isip include files
//
#include "image_analysis.h"
#include "image_analysis_constants.h"

// method: dct_cos_cc
//
// arguments: none
//
// return: a logical_1 value indicating status
//
// this method computes the cos coefficients required for the DCT
//
logical_1 Image_analysis::dct_cos_cc() {

  // find the cosine terms to be used in DCT computations
  //
  float_4 temp_l = (float_4)(PI / (2 * dct_blk_size_d));
  
  for (int_4 i=0; i<dct_blk_size_d; i++) {
    for (int_4 j=0; j<dct_blk_size_d; j++) {
      dct_r_cos_d[i][j] = cos(((2 * i + 1) * j) * temp_l);
    }
  }

  // exit gracefully
  //
  return ISIP_TRUE;
}
